|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
PWR_CTRL_PROPERTIES_s Struct Reference
Power Control » Power Control Data Types

Collection of power control properties. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h>`

Collaboration diagram for PWR_CTRL_PROPERTIES_s:

## Data Fields
uint16_t | VSecReference
| User secondary-voltage port reference setting used to control the power converter output voltage in buck mode.
uint16_t | VPriReference
| User primary-voltage port reference setting used to control the power converter output voltage in boost mode.
int16_t | IReference
| User current reference setting used to control the converter controller.
uint16_t | PwrReference
| User power reference setting used to control the converter controller.
bool | ChargingState
| Control Flag: When set, enables PWM output while keeping control loop disabled; Skips closed loop ramp up states and directly jumps to state Online.
bool | Enable
| Control Flag: When set, enables the converter triggering a startup sequence; When cleared, forces teh power supply to reset and turn off.

## Detailed Description

This data structure can be use to initialize the desired output voltage, current and power. THe bits like charging state and if the power supply is enabled can be monitored in this structure.

Definition at line 148 of file pwrctrl_typedef.h.

## Field Documentation

## ◆ ChargingState

bool ChargingState

Definition at line 155 of file pwrctrl_typedef.h.

## ◆ Enable

bool Enable

Definition at line 156 of file pwrctrl_typedef.h.

## ◆ IReference

int16_t IReference

Definition at line 152 of file pwrctrl_typedef.h.

## ◆ PwrReference

uint16_t PwrReference

Definition at line 153 of file pwrctrl_typedef.h.

## ◆ VPriReference

uint16_t VPriReference

Definition at line 151 of file pwrctrl_typedef.h.

## ◆ VSecReference

uint16_t VSecReference

Definition at line 150 of file pwrctrl_typedef.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h